Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class GuiCreateFlatWorld

    java.lang.Object
      net.minecraft.src.Gui
          net.minecraft.src.GuiScreen
              net.minecraft.src.GuiCreateFlatWorld

    public class GuiCreateFlatWorld

extends GuiScreen

Field Summary

Fields inherited from class net.minecraft.src.GuiScreen
`allowUserInput, guiParticles, height, width`

Constructor Summary
`GuiCreateFlatWorld(GuiCreateWorld par1, String par2Str)`

Method Summary
`void` | `drawScreen(int par1, int par2, float par3)` Draws the screen and all the components in it.
`void` | `func_82270_g()`
`void` | `func_82273_a(String par1Str)`
`String` | `func_82275_e()`
`void` | `initGui()` Adds the buttons (and other controls) to the screen in question.

Methods inherited from class net.minecraft.src.GuiScreen
`confirmClicked, doesGuiPauseGame, drawBackground, drawDefaultBackground, drawWorldBackground, getClipboardString, handleInput, handleKeyboardInput, handleMouseInput, isCtrlKeyDown, isShiftKeyDown, onGuiClosed, setClipboardString, setWorldAndResolution, updateScreen`

Methods inherited from class net.minecraft.src.Gui
`drawCenteredString, drawRect, drawString, drawTexturedModalRect`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GuiCreateFlatWorld

    public GuiCreateFlatWorld(GuiCreateWorld par1,
                              String par2Str)

Method Detail

### func_82275_e

    public String func_82275_e()

### func_82273_a

    public void func_82273_a(String par1Str)

### initGui

    public void initGui()

  Adds the buttons (and other controls) to the screen in question.

  Overrides:
    `initGui` in class `GuiScreen`

### func_82270_g

    public void func_82270_g()

### drawScreen

    public void drawScreen(int par1,
                           int par2,
                           float par3)

  Draws the screen and all the components in it.

  Overrides:
    `drawScreen` in class `GuiScreen`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD